commit 2665f3e027d835a8a64652a4792792fddd83dd8b
Author: Gaius Mulley <gaiusmod2@gmail.com>
Date:   Tue Nov 26 13:15:56 2024 +0000

    [PATCH] modula2: Improve error message to include symbol name.
    
    gcc/m2/ChangeLog:
    
            * gm2-compiler/M2StateCheck.mod (GenerateError): Add
            symbol name to the error message.
    
    (cherry picked from commit 6a99f3ae962542165fdfc077f1040ea4d936691b)
    
    Signed-off-by: Gaius Mulley <gaiusmod2@gmail.com>

diff --git a/gcc/m2/gm2-compiler/M2StateCheck.mod b/gcc/m2/gm2-compiler/M2StateCheck.mod
index e53cb174474..940c433bcc1 100644
--- a/gcc/m2/gm2-compiler/M2StateCheck.mod
+++ b/gcc/m2/gm2-compiler/M2StateCheck.mod
@@ -306,7 +306,7 @@ PROCEDURE GenerateError (tok: CARDINAL; s: StateCheck; sym: CARDINAL) ;
 VAR
    str: String ;
 BEGIN
-   str := InitString ('not expecting a {%1Ad} {%1a: }in a ') ;
+   str := InitString ('not expecting the {%1Ad} {%1a} in a ') ;
    IF const IN s^.state
    THEN
       str := ConCat (str, Mark (InitString ('{%kCONST} block')))

